## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/RoaringBitmap/CRoaring
Version:        2.1.2
%forgemeta

Name:           croaring
Release:        %autorelease
Summary:        Roaring bitmaps in C (and C++), with SIMD (AVX2, AVX-512 and NEON) optimizations
License:        Apache-2.0 OR MIT
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  libcmocka-devel

%description
%{summary}

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%prep
%forgeautosetup -p1

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=Release \
    -DROARING_USE_CPM=OFF \

%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%doc README.md
%{_libdir}/libroaring.so.14
%{_libdir}/libroaring.so.%{version}

%files devel
%{_includedir}/roaring/
%{_libdir}/cmake/roaring/
%{_libdir}/libroaring.so
%{_libdir}/pkgconfig/roaring.pc

%changelog
* Thu Jan 04 2024 Packit <hello@packit.dev> - 2.1.2-1
- [packit] 2.1.2 upstream release

* Thu Jan 04 2024 topazus <topazus@outlook.com> - 2.1.0-3
- fix for new release

* Thu Jan 04 2024 topazus <topazus@outlook.com> - 2.1.0-2
- fix packit

* Tue Dec 19 2023 topazus <topazus@outlook.com> - 2.1.0-1
- initial import; rhbz#2254964
